Changes since version 1.47 (2001-11-28)

Changes to xsl/*

  | 2002-01-06  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* Makefile: Clean docsrc
  | 
  | 	* Makefile: Remove .*~ from the ZIP file
  | 
  | 	* VERSION: Version 1.48 released.
  | 

Changes to xsl/common/*

  | 2002-01-03  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* .cvsignore, Makefile: Added Thai localization
  | 
  | 	* common.xsl: Calculate itemized list symbol based on depth
  | 	  analagous to orderedlist numeration
  | 
  | 	* gentext.xsl: Use unnumbered gentext keys appropriately
  | 
  | 2001-12-15  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* common.xsl: Improved support for TeX math inside equations.
  | 
  | 2001-12-04  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* labels.xsl: Bug #435320: Poor enumeration of LoTs and LoFs
  | 
  | 	* titles.xsl: Bug! Can't put HTML here. But what does this
  | 	  break?
  | 
  | 2001-12-02  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* titles.xsl: Make no.anchor.mode 'sticky'. This is really
  | 	  necessary because otherwise title inlines effectively turn
  | 	  it off
  | 
  | 2001-12-01  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* labels.xsl: Improve FAQ labeling
  | 
  | 2001-11-29  Robert Stayton <bobstayton@users.sourceforge.net>
  | 
  | 	* l10n.xsl: Fixed error message for missing localization so
  | 	  that if missing in en.xml, it doesn't say 'using en'.
  | 

Changes to xsl/docsrc/*

  | 2002-01-06  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* clrefentry.xsl: Added link to ref.css
  | 
  | 	* documentation.xml: Add Jirka to the documentation credits
  | 
  | 2001-12-17  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* documentation.xml, htmlhelp.xml: HTML Help documentation
  | 	  moved to common place.
  | 

Changes to xsl/fo/*

  | 2002-01-04  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* glossary.xsl: Make glossary.collection (usually) work when
  | 	  chunking is used; allow the use of glossdivs to be toggled
  | 	  in the document
  | 
  | 	* glossary.xsl, inline.xsl, param.ent, param.xweb: First cut
  | 	  at supporting a glossary.collection file
  | 
  | 2002-01-03  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* lists.xsl: Rework variablelist formatting; support lists vs.
  | 	  blocks with new parameters and calculate term-width
  | 	  reasonably
  | 
  | 	* param.ent, param.xweb: Replace format.variablelist.as.list
  | 	  with variablelist.as.blocks
  | 
  | 2002-01-01  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* .cvsignore: Added Makefile.param
  | 
  | 	* Makefile.param: Autogenerated
  | 
  | 	* block.xsl: Use blockquote.properties
  | 
  | 	* lists.xsl: Attempt to support alternate symbols on
  | 	  itemizedlists
  | 
  | 	* param.ent, param.xweb: Use new parameters:
  | 	  refentry.generate.title and blockquote.properties
  | 
  | 	* refentry.xsl: Improve formatting of reference pages
  | 
  | 	* titlepage.xsl: Simplify match pattern; add space in editor
  | 	  formatting
  | 
  | 2001-12-15  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* math.xsl: Improved support for TeX math inside equations.
  | 
  | 2001-12-06  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* Makefile.param, math.xsl, param.ent, param.xweb: Added
  | 	  support for TeX math in alt element. When using PassiveTeX,
  | 	  TeX equations can be directly passed to TeX. When using
  | 	  HTML, TeX file with code necessary to produce image
  | 	  equivalents of equations is generated.
  | 
  | 2001-12-04  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* Makefile: Fix chunking parameter errors
  | 
  | 	* Makefile, Makefile.param, param.ent, param.xweb: New
  | 	  parameters; reorganized xweb file; and some checking for
  | 	  consistent param files
  | 
  | 	* admon.xsl: Feature #454323: customizable font in admonitions
  | 
  | 	* autotoc.xsl: Feature #445713 TOC customization
  | 
  | 	* division.xsl: Added set TOC and moved book TOC after
  | 	  dedication
  | 
  | 	* docbook.xsl: Features #457872 and #479011 language and
  | 	  line-height
  | 
  | 	* glossary.xsl, inline.xsl: Support glossterm.auto.link
  | 
  | 	* refentry.xsl, xref.xsl: Feature #481793: support xref to
  | 	  refentry
  | 
  | 	* xep.xsl: Add bookmark for TOC
  | 
  | 2001-12-02  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* component.xsl: Allow inlines and anchors in titles
  | 
  | 2001-12-01  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* autoidx.xsl: Patch #468462: hot page numbers in the index
  | 
  | 	* division.xsl: Patch #470480: make part title formatting obey
  | 	  localization rules
  | 
  | 	* docbook.xsl, xep.xsl: Make sure bookmarks are never empty
  | 
  | 	* formal.xsl, table.xsl: Bug #487576: table/indexterm problems
  | 
  | 	* synop.xsl: Patch #462556: Improve func synopsis
  | 
  | 	* titlepage.templates.xml: Don't offset margin when using
  | 	  'center' alignment
  | 
  | 	* xep.xsl: Fix bug in TOC title formatting
  | 
  | 2001-11-30  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* component.xsl, division.xsl: Bug #451265: page number of
  | 	  first part is wrong
  | 
  | 2001-11-29  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* fo-patch-for-fop.xsl: New file.
  | 
  | 	* lists.xsl: Patch #482482: margin-start should be margin-left
  | 
  | 	* lists.xsl: Patch #478068: procedures with one step
  | 
  | 	* xep.xsl: Patch #479140: bookmarks w/xep missing
  | 
  | 	* xep.xsl: Fix it the right way: always test for top-level
  | 	  elements
  | 
  | 	* xep.xsl: Patch #479145: top-level bookmarks in xep
  | 

Changes to xsl/html/*

  | 2002-01-04  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* glossary.xsl, inline.xsl: Make glossary.collection (usually)
  | 	  work when chunking is used; allow the use of glossdivs to be
  | 	  toggled in the document
  | 
  | 	* glossary.xsl, inline.xsl, param.ent, param.xweb: First cut
  | 	  at supporting a glossary.collection file
  | 
  | 2002-01-03  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* .cvsignore, Makefile.param: Makefile.param is auto generated
  | 
  | 	* lists.xsl, param.ent, param.xweb: Use global parameter
  | 	  variablelist.as.table
  | 
  | 2002-01-01  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* changebars.xsl: Fix typo
  | 
  | 	* chunker.xsl: Use output.method parameter
  | 
  | 	* footnote.xsl: Number footnotes in refentrys individually;
  | 	  add priority to match on first para of a footnote
  | 
  | 	* lists.xsl: Improve list formatting
  | 
  | 	* param.ent, param.xweb: Added new parameters:
  | 	  make.valid.html, refentry.generate.title, and output.method;
  | 	  removed unused parameter callout.unicode.font
  | 
  | 	* refentry.xsl: Improve refentry formatting
  | 
  | 	* synop.xsl: Made several synopsis elements inline and
  | 	  reworked the formatting code accordingly
  | 
  | 	* titlepage.xsl: Fix formatting of copyright with multiple
  | 	  holders
  | 
  | 	* xref.xsl: Added target parameter to link
  | 
  | 2001-12-15  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* graphics.xsl, math.xsl: Improved support for TeX math inside
  | 	  equations.
  | 
  | 2001-12-06  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* Makefile.param, docbook.xsl, math.xsl, param.ent,
  | 	  param.xweb: Added support for TeX math in alt element. When
  | 	  using PassiveTeX, TeX equations can be directly passed to
  | 	  TeX. When using HTML, TeX file with code necessary to
  | 	  produce image equivalents of equations is generated.
  | 
  | 	* chunk.xsl, chunker.xsl: Template write.text.chunk moved to
  | 	  common place.
  | 
  | 2001-12-04  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* Makefile, Makefile.param, chunk.xsl, param.ent, param.xweb:
  | 	  Fix chunking parameter errors
  | 
  | 	* Makefile, Makefile.param, param.ent, param.xweb: Updated
  | 	  parameters and parameter consistency checking
  | 
  | 	* changebars.xsl: Feature #481981: support simpara and
  | 	  formalpara in changebars.xsl
  | 
  | 	* chunk-experimental.xsl: More hacking
  | 
  | 	* chunk.xsl: Feature #477348: support chunk.section.depth
  | 	  (lots and lots of changes here: danger will robinson)
  | 
  | 	* xref.xsl: Feature #481793: support xref to refentry
  | 
  | 2001-12-02  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* component.xsl: Allow inlines and anchors in titles
  | 
  | 2001-12-01  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* changebars.xsl, table.xsl: Bug #472836: @revisionflag and
  | 	  table entries
  | 
  | 	* qandaset.xsl: Improve FAQ labeling
  | 
  | 2001-11-29  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* lists.xsl: Patch #478068: procedures with one step
  | 

Changes to xsl/xhtml/*

  | 2001-12-30  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* .cvsignore, Makefile, chunk.xsl, docbook.xsl,
  | 	  html2xhtml.xsl, xslfiles.gen: Completely reworked strategy
  | 	  for XHTML
  | 
  | 2001-12-04  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* docbook.xsl: Feature ##469979 add xmlns for xhtml
  | 

Changes to xsl/params/*

  | 2002-01-06  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* bibliography.collection.xml, glossary.collection.xml: Added
  | 	  documentation
  | 
  | 2002-01-04  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* firstterm.only.link.xml, glossary.collection.xml: New file.
  | 
  | 2002-01-03  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* format.variablelist.as.list.xml, variablelist.as.table.xml:
  | 	  Renamed format.variablelist.as.table to
  | 	  variablelist.as.table
  | 
  | 	* variablelist.as.blocks.xml: New file.
  | 
  | 	* variablelist.as.table.xml: Fixed doc typos
  | 
  | 2002-01-01  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* blockquote.properties.xml, make.valid.html.xml,
  | 	  output.method.xml, refentry.generate.name.xml,
  | 	  refentry.generate.title.xml: New and updated parameters
  | 
  | 2001-12-15  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* tex.math.in.alt.xml: Improved support for TeX math inside
  | 	  equations.
  | 
  | 2001-12-06  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* tex.math.file.xml, tex.math.in.alt.xml: New file.
  | 
  | 2001-12-04  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* admonition.properties.xml: New file.
  | 
  | 	* admonition.title.properties.xml, chunk.first.sections.xml,
  | 	  chunk.section.depth.xml, line-height.xml: New parameters
  | 
  | 	* toc.indent.width.xml: New file.
  | 

Changes to xsl/doc/*

  | 2002-01-06  Norman Walsh <nwalsh@users.sourceforge.net>
  | 
  | 	* ref.css: New file.
  | 

Changes to xsl/htmlhelp/*

  | 2001-12-06  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* htmlhelp.xsl: Template write.text.chunk moved to common
  | 	  place.
  | 
  | 2001-12-04  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* htmlhelp.xsl: Make compatible with last changes in chunking
  | 	  code.
  | 

Changes to xsl/htmlhelp/doc/*

  | 2001-12-17  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* htmlhelp.xml: HTML Help documentation moved to common place.
  | 
  | 	* htmlhelp.xml: Fixed broken link to HTML Help workshop
  | 	  download file. Made some light edits, mostly just English
  | 	  grammar fixes.
  | 

Changes to xsl/tools/profile/*

  | 2001-12-07  Jirka Kosek <kosek@users.sourceforge.net>
  | 
  | 	* profile.xsl: Added support for multiple targets in one
  | 	  parameter
  | 

